Bug Hunting Session
Bug 122997 - Canceling Paragraph dialog causes crash (GTK3)
Summary: Canceling Paragraph dialog causes crash (GTK3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-01-27 15:35 UTC by Buovjaga
Modified: 2019-01-28 11:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (7.63 KB, text/plain)
2019-01-27 16:16 UTC, Julien Nabet
Details
Valgrind trace (30.29 KB, application/x-bzip)
2019-01-27 16:44 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2019-01-27 15:35:26 UTC
0. Use GTK3 backend
1. Open Writer
2. Format Paragraph
3. Cancel

Sadly cannot get a bt right now due to reasons I mention in bug 122990.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: dee9ad9fdca594993190e2f79ca4696f9adf6b48
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 27 January 2019
Comment 1 Julien Nabet 2019-01-27 16:16:12 UTC
Created attachment 148687 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Dieter Praas 2019-01-27 16:22:27 UTC
(In reply to Julien Nabet from comment #1)
> On pc Debian x86-64 with master sources updated today, I could reproduce
> this.

=> NEW
Comment 3 Julien Nabet 2019-01-27 16:44:20 UTC
Created attachment 148689 [details]
Valgrind trace

Valgrind trace.
Comment 4 Julien Nabet 2019-01-27 16:48:33 UTC
Caolán/Noel: considering bt and Valgrind, thought you may be interested in this one.
Comment 5 Xisco Faulí 2019-01-27 22:43:09 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=bf359d01ac8b1e0292e8a92c38e58c03e6c17d8b

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-01-25 09:09:36 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-01-26 07:41:06 +0100
commit	bf359d01ac8b1e0292e8a92c38e58c03e6c17d8b (patch)
tree	5d246936936143e36ba76542f5ba7b5954405ea5
parent	8968e648113820308f5201da723d52d3fbbb09af (diff)
add a Dialog::runAsync for the non-controller case

Bisected with: bibisect-linux64-6.3

Adding Cc: to Noel Grandin
Comment 6 Commit Notification 2019-01-28 10:54:51 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/026b3d9b339992eb14698cc26334e2f500b018ce%5E%21

tdf#122997 Canceling Paragraph dialog causes crash

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Buovjaga 2019-01-28 11:17:51 UTC
It behaves well again, thanks!

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 68bdea37d79793bc8dff4672c2d360be3554b041
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 28 January 2019